
<?php if (isset($error_message)) { ?>
      <div class="row">
        <ul class="woocommerce-error" id="errDiv">
            <li>
                <?php echo __('Payment Error.', 'shopinext') ?>
                <br /><b><?php echo $error_message; ?></b><br/>
                <?php echo __('Please check the form and try again.', 'shopinext') ?>
            </li>
        </ul>
    </div>
<?php } else { ?>

<style>
	.woocommerce .order_details {
		display:none!important;
	}
	#shopinext {
		font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji" !important;
		width: 100%!important;
		max-width: 600px!important;
		display: flex!important;
		flex-wrap: wrap!important;
		justify-content: space-between!important;
		background: #222a35!important;
		padding: 6% 5%!important;
		margin: 1% auto!important;
		border-radius: 10px!important;
		box-shadow: 0 0.3vw 0.4vw -0.5vw rgb(0 0 0 / 75%)!important;
	}
	#shopinext .title {
		font-size: 25px!important;
		color: #fff!important;
		font-weight: bold!important;
		margin: 0 auto!important;
		margin-bottom: 3%!important;
		display: block!important;
		width: max-content!important;
	}
	
	#shopinext .shopinext-group {
		width:100%!important;
	}
	
	#shopinext .shopinext-group label {
		color: #fafafa!important;
		font-size:15px!important;
		font-weight:200!important;
	}
	
	#shopinext .shopinext-group.focus label {
		color: #009fe3!important;
	}
	
	#shopinext .shopinext-group input {
		outline:none!important;
		color:#fafafa!important;
		width: 100%!important;
		font-size: 15px!important;
		padding: 10px 0px!important;
		padding-top:0!important;
		margin:0!important;
		background: transparent!important;
		border: unset!important;
		border-bottom: 2px solid #cacaca!important;
		border-radius:unset!important;
		box-shadow:unset!important;
	}
	
	#shopinext .shopinext-group input:focus {
		border-color:#009fe3!important;
	}
	
	#shopinext button {
		outline:none!important;
		width: 100%!important;
		border: unset!important;
		background: #009fe3!important;
		color: #fff!important;
		cursor: pointer!important;
		margin-top: 5%!important;
		padding: 4%!important;
		font-size: 15px!important;
		border-radius: 5px!important;
		font-weight: 300!important;
		-webkit-box-shadow: 0px 0px 9px 0px rgb(0 159 227 / 70%)!important;
		-moz-box-shadow: 0px 0px 9px 0px rgba(0,159,227,0.7)!important;
		box-shadow: 0px 0px 9px 0px rgb(0 159 227 / 70%)!important;
		transition:0.2s ease;
	}
	
	#shopinext button:hover {
		transition:0.2s ease;
		-webkit-box-shadow: 0px 0px 20px 0px rgb(0 159 227 / 70%)!important;
		-moz-box-shadow: 0px 0px 20px 0px rgba(0,159,227,0.7)!important;
		box-shadow: 0px 0px 20px 0px rgb(0 159 227 / 70%)!important;
	}
	
	#shopinext img {
		width:65%!important;
		margin:0 auto!important;
		margin-top:5%!important;
	}
	
    @media (max-width: 768px) {
        #shopinext {
            width:100%!important;
			padding:10%!important;
        }
    }

    .shopinext-flex {
        display:flex!important;
        display:-webkit-flex!important;
        justify-content: space-between!important;
    }
    .shopinext-flex .shopinext-group {
        width:100%!important;
        margin: 0!important;
    }
</style>
<form id="shopinext" action="https://www.shopinext.com/sale3d/<?=(isset($session->sessionToken))?$session->sessionToken:''?>" method="post">
	<span class="title"><?=$title?></span>
	<div class="shopinext-group">
		<label><?=$cardname?></label>
		<input type="text" name="name" autocomplete="off" maxlength="32" required />
	</div>
	<div class="shopinext-group">
		<label><?=$cardnumber?></label>
		<input type="text" name="number" class="number" autocomplete="off" minlength="19" maxlength="19" required />
	</div>
    <div class="shopinext-flex">
		<div class="shopinext-group">
			<label><?=$cardmonth?></label>
			<input type="text" name="month" class="month" minlength="2" maxlength="2" required />
		</div>
		<div class="shopinext-group">
			<label><?=$cardyear?></label>
			<input type="text" name="year" class="year" minlength="2" maxlength="4" required />
		</div>
		<div class="shopinext-group">
			<label>CVV</label>
			<input type="text" type="input" name="cvv" class="cvv" autocomplete="off" maxlength="4" required />
		</div>
    </div>
    <button type="submit"><?=$buton?> (<?=$amount?> <?=$currency?>)</button>
	<img src="https://www.shopinext.com/assets/images/creditcards.png">
</form>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://www.shopinext.com/assets/js/jquery.mask.js"></script>
<script>
    $('.number').mask("0000 0000 0000 0000");
    $('.month').mask("00");
    $('.year').mask("0000");
    $('.cvv').mask("0000");
	$('input').blur(function() {
        $('input').parent().removeClass("focus");
      }).focus(function() {
        $(this).parent().addClass("focus");
      });
</script>
<?php } ?>
